searchNodes=[{"type":"module","title":"BexioApiClient","doc":"base functionality like refreshing the access token. The API Documentation for Bexio can be found under https://docs.bexio.com . Fields or arguments with date time reference expect them in the time zone Europe/Zurich. Requirements: Http Client: ** Req: the api client depends on Req.","ref":"BexioApiClient.html"},{"type":"function","title":"BexioApiClient.access_token/3","doc":"Fetch a new access token for the given refresh token. Arguments: refresh_token -&gt; the refresh token we need the access key for client_id -&gt; the client id of our application that also got the refresh token client_secret -&gt; the client secret of our application Response }","ref":"BexioApiClient.html#access_token/3"},{"type":"function","title":"BexioApiClient.new/1","doc":"Creates a new client using the never ending all powerful API Token.","ref":"BexioApiClient.html#new/1"},{"type":"function","title":"BexioApiClient.new/3","doc":"Creates a new client using the client id, client secret and refresh token. Be aware that getting this information is part of the OpenID flow which is not in the scope of this library.","ref":"BexioApiClient.html#new/3"},{"type":"function","title":"BexioApiClient.remove_expired_access_tokens/0","doc":"Removes all expired access tokens from the ETS table.","ref":"BexioApiClient.html#remove_expired_access_tokens/0"},{"type":"module","title":"BexioApiClient.Accounting","doc":"Bexio API for the accounting part of the API.","ref":"BexioApiClient.Accounting.html"},{"type":"function","title":"BexioApiClient.Accounting.fetch_account_groups/2","doc":"Fetch a list of account groups.","ref":"BexioApiClient.Accounting.html#fetch_account_groups/2"},{"type":"function","title":"BexioApiClient.Accounting.fetch_accounts/2","doc":"Fetch a list of accounts.","ref":"BexioApiClient.Accounting.html#fetch_accounts/2"},{"type":"function","title":"BexioApiClient.Accounting.fetch_calendar_years/2","doc":"Fetch a list of calendar years.","ref":"BexioApiClient.Accounting.html#fetch_calendar_years/2"},{"type":"function","title":"BexioApiClient.Accounting.fetch_currencies/2","doc":"Fetch a list of currencies.","ref":"BexioApiClient.Accounting.html#fetch_currencies/2"},{"type":"function","title":"BexioApiClient.Accounting.fetch_exchange_rates/3","doc":"Fetch a list of currency exchange rates.","ref":"BexioApiClient.Accounting.html#fetch_exchange_rates/3"},{"type":"function","title":"BexioApiClient.Accounting.fetch_taxes/4","doc":"Fetch a list of taxes. Arguments: date - all taxes which are active at the date given types - filter the types of tax (:sales_tax or :pre_tax)","ref":"BexioApiClient.Accounting.html#fetch_taxes/4"},{"type":"function","title":"BexioApiClient.Accounting.search_accounts/3","doc":"Search accounts via query. The following search fields are supported: account_no fibo_account_group_id (TODO: test this) name account_type","ref":"BexioApiClient.Accounting.html#search_accounts/3"},{"type":"type","title":"BexioApiClient.Accounting.api_error_type/0","doc":"","ref":"BexioApiClient.Accounting.html#t:api_error_type/0"},{"type":"module","title":"BexioApiClient.Accounting.Account","doc":"Bexio Account Module.","ref":"BexioApiClient.Accounting.Account.html"},{"type":"type","title":"BexioApiClient.Accounting.Account.t/0","doc":"Bexio Account Fields: :id - automatic id given by bexio :account_no - No of the account (string &lt;int32&gt; but this seems wrong...) :name - Name of the account :account_group_id - The id of the associated account group. References an account group object :account_type - the type of the account :tax_id - References a tax object :active? - Whether the account is active. IF the account is inactive, it can not be used for new bookings :locked? - Determines if the account is locked. Locked accounts can not be edited or deleted","ref":"BexioApiClient.Accounting.Account.html#t:t/0"},{"type":"module","title":"BexioApiClient.Accounting.AccountGroup","doc":"Bexio Account Group Module.","ref":"BexioApiClient.Accounting.AccountGroup.html"},{"type":"type","title":"BexioApiClient.Accounting.AccountGroup.t/0","doc":"Bexio Account Group Fields: :id - automatic id given by bexio :account_no - No of the account group (probably also not integer) :name - Name of the account :parent_fibu_account_group_id - The id of the parent account group, references an account group :active? - Whether the account group is active. If the account group is inactive, accounts in this account group can not be used for new bookings. :locked? - Determines if the account group is locked. Locked accounts can not be edited or deleted","ref":"BexioApiClient.Accounting.AccountGroup.html#t:t/0"},{"type":"module","title":"BexioApiClient.Accounting.CalendarYear","doc":"Bexio Calendar Year Module.","ref":"BexioApiClient.Accounting.CalendarYear.html"},{"type":"type","title":"BexioApiClient.Accounting.CalendarYear.t/0","doc":"Bexio Calendar Year Fields: :id - automatic id given by bexio :start - Start date of the calendar year :end - End date of the calendar year :vat_subject? - Determines if the calendar year is vat subjected or not :created_at - Creation date of the calendar year :updated_at - Last time when calendar year was updated :vat_accounting_method - VAT accounting method (effective or net_tax), null if not subjected to vat :vat_accounting_type - VAT accounting type (agreed or collected), null if not subjected to vat","ref":"BexioApiClient.Accounting.CalendarYear.html#t:t/0"},{"type":"module","title":"BexioApiClient.Accounting.Currency","doc":"Bexio Currency Module.","ref":"BexioApiClient.Accounting.Currency.html"},{"type":"function","title":"BexioApiClient.Accounting.Currency.round/2","doc":"Rounds an amount to the given currency round factor","ref":"BexioApiClient.Accounting.Currency.html#round/2"},{"type":"type","title":"BexioApiClient.Accounting.Currency.t/0","doc":"Bexio Currency Fields: :id - automatic id given by bexio :name - Currency Name :round_factor - How to round the given currency","ref":"BexioApiClient.Accounting.Currency.html#t:t/0"},{"type":"module","title":"BexioApiClient.Accounting.ExchangeRate","doc":"Bexio Currency Exchange Rate Module.","ref":"BexioApiClient.Accounting.ExchangeRate.html"},{"type":"type","title":"BexioApiClient.Accounting.ExchangeRate.t/0","doc":"Bexio Currency Exchange Rate Fields: :factor - the exchange rate of the currency in comparison with the currency listed in the field :exchange_currency :exchange_currency - the reference currency for the exchange rate :id - id of the currency :name - name of the currency :round_factor - round factor of the currency","ref":"BexioApiClient.Accounting.ExchangeRate.html#t:t/0"},{"type":"module","title":"BexioApiClient.Accounting.Tax","doc":"Bexio Tax Module.","ref":"BexioApiClient.Accounting.Tax.html"},{"type":"type","title":"BexioApiClient.Accounting.Tax.t/0","doc":"Bexio Tax Fields: :id - automatic id given by bexio :uuid - the uuid of the tax :name - the internal name (use :display_name as the representation value) :code - the tax code, also used within :display_name :digit - digit which references the tax to the vat digit :type - the tax type :account_id - the id of the associated account, references an account object :value the tax percentage :net_tax_value - the net tax percentage (this field is only used, it the tax has the type net_tax ) start_year - the start year from which on the tax is valid. if set to nil every year before end_year :end_year - the end year until the tax is valid. if set to nil every year after start_year :active? - whether the tax is active :display_name - a human readable of the tax, including the code","ref":"BexioApiClient.Accounting.Tax.html#t:t/0"},{"type":"module","title":"BexioApiClient.Contacts","doc":"Bexio API for the contacts part of the API.","ref":"BexioApiClient.Contacts.html"},{"type":"function","title":"BexioApiClient.Contacts.fetch_additional_address/3","doc":"This action fetches a single additional address","ref":"BexioApiClient.Contacts.html#fetch_additional_address/3"},{"type":"function","title":"BexioApiClient.Contacts.fetch_additional_addresses/3","doc":"Fetch a list of additional addresses.","ref":"BexioApiClient.Contacts.html#fetch_additional_addresses/3"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contact/3","doc":"This action fetches a single contact","ref":"BexioApiClient.Contacts.html#fetch_contact/3"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contact_group/2","doc":"This action fetches a single contact group","ref":"BexioApiClient.Contacts.html#fetch_contact_group/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contact_groups/2","doc":"Fetch a list of contacts groups.","ref":"BexioApiClient.Contacts.html#fetch_contact_groups/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contact_relation/2","doc":"This action fetches a single contact relation","ref":"BexioApiClient.Contacts.html#fetch_contact_relation/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contact_relations/2","doc":"Fetch a list of contacts relations.","ref":"BexioApiClient.Contacts.html#fetch_contact_relations/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contact_sectors/2","doc":"Fetch a list of contacts sectors.","ref":"BexioApiClient.Contacts.html#fetch_contact_sectors/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_contacts/3","doc":"Fetch a list of contacts. Arguments: :opts - paging and ordering options :show_archived - Show archived elements only,","ref":"BexioApiClient.Contacts.html#fetch_contacts/3"},{"type":"function","title":"BexioApiClient.Contacts.fetch_salutation/2","doc":"This action fetches a single salutation","ref":"BexioApiClient.Contacts.html#fetch_salutation/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_salutations/2","doc":"Fetch a list of additional addresses.","ref":"BexioApiClient.Contacts.html#fetch_salutations/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_title/2","doc":"This action fetches a single title","ref":"BexioApiClient.Contacts.html#fetch_title/2"},{"type":"function","title":"BexioApiClient.Contacts.fetch_titles/2","doc":"Fetch a list of titles.","ref":"BexioApiClient.Contacts.html#fetch_titles/2"},{"type":"function","title":"BexioApiClient.Contacts.search_additional_addresses/4","doc":"Search additional addresses via query. The following search fields are supported: name address postcode city country_id subject","ref":"BexioApiClient.Contacts.html#search_additional_addresses/4"},{"type":"function","title":"BexioApiClient.Contacts.search_contact_groups/3","doc":"Search contact groups via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_contact_groups/3"},{"type":"function","title":"BexioApiClient.Contacts.search_contact_relations/3","doc":"Search contacts groups via query. The following search fields are supported: contact_id contact_sub_id updated_at","ref":"BexioApiClient.Contacts.html#search_contact_relations/3"},{"type":"function","title":"BexioApiClient.Contacts.search_contact_sectors/3","doc":"Search contact sectors via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_contact_sectors/3"},{"type":"function","title":"BexioApiClient.Contacts.search_contacts/4","doc":"Search contacts via query. The following search fields are supported: id name_1 name_2 nr address mail mail_second postcode city country_id contact_group_ids contact_type_id updated_at user_id phone_fixed phone_mobile","ref":"BexioApiClient.Contacts.html#search_contacts/4"},{"type":"function","title":"BexioApiClient.Contacts.search_salutations/3","doc":"Search salutations via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_salutations/3"},{"type":"function","title":"BexioApiClient.Contacts.search_titles/3","doc":"Search title via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_titles/3"},{"type":"type","title":"BexioApiClient.Contacts.api_error_type/0","doc":"","ref":"BexioApiClient.Contacts.html#t:api_error_type/0"},{"type":"module","title":"BexioApiClient.Contacts.AdditionalAddress","doc":"Bexio Additional Address Module.","ref":"BexioApiClient.Contacts.AdditionalAddress.html"},{"type":"type","title":"BexioApiClient.Contacts.AdditionalAddress.t/0","doc":"Bexio Additional Address. Fields: :id - automatic id given by bexio :name - name :address - street and additional address information :postcode - postal code / zip :city - city :country_id - reference to a TODO: country object :subject - title for the address :description - full description of the address (internal)","ref":"BexioApiClient.Contacts.AdditionalAddress.html#t:t/0"},{"type":"module","title":"BexioApiClient.Contacts.Contact","doc":"Bexio Contact Module.","ref":"BexioApiClient.Contacts.Contact.html"},{"type":"type","title":"BexioApiClient.Contacts.Contact.t/0","doc":"Bexio Contact (company or person). Fields: :id - automatic id given by bexio :nr - must be a number, can also be used as integer :contact_type - either :company or :person :name_1 - for :company the company name and for :person the last name :name_2 - for :company the company addition and for :person the first name :salutation_id - reference to a TODO: salutation object :salutation_form - ?? :title_id - reference to a TODO: title object :birthday - birthday ( :person ) or foundation date ( :company ) :address - street and additional address information :postcode - postal code / zip :city - city :country_id - reference to a TODO: country object :mail - email address :mail_second - secondary email address :phone_fixed - phone number (fixed) :phone_fixed_secondary - secondary phone number (fixed) :phone_mobile - phone number (mobile) :fax - number for this old fax devices out there :url - homepage url :skype_name - Skype Name :remarks - free text for remarks :language_id - reference to a TODO: language object :contact_group_ids - reference to multiple TODO: contact group objects :contact_branch_ids - reference to multiple TODO: contact sector objects :user_id - creator of the record, reference to a TODO: user object :owner_id - owner of the record, reference to a TODO: user object :updated_at - date time of the last update (zurich time zone)","ref":"BexioApiClient.Contacts.Contact.html#t:t/0"},{"type":"module","title":"BexioApiClient.Contacts.ContactRelation","doc":"Bexio Contact Relation Module.","ref":"BexioApiClient.Contacts.ContactRelation.html"},{"type":"type","title":"BexioApiClient.Contacts.ContactRelation.t/0","doc":"Bexio Contact Relation Fields: :id - automatic id given by bexio :contact_id - References a contact object :contact_sub_id - References a contact object :description - description of the relation :updated_at - date time of the last update (zurich time zone)","ref":"BexioApiClient.Contacts.ContactRelation.html#t:t/0"},{"type":"module","title":"BexioApiClient.Files","doc":"Bexio API for the files part of the API","ref":"BexioApiClient.Files.html"},{"type":"function","title":"BexioApiClient.Files.download_file/2","doc":"Download file (original content).","ref":"BexioApiClient.Files.html#download_file/2"},{"type":"function","title":"BexioApiClient.Files.fetch_file/2","doc":"Fetch single file.","ref":"BexioApiClient.Files.html#fetch_file/2"},{"type":"function","title":"BexioApiClient.Files.fetch_files/2","doc":"Fetch a list of files.","ref":"BexioApiClient.Files.html#fetch_files/2"},{"type":"function","title":"BexioApiClient.Files.preview_file/2","doc":"Download file (original content).","ref":"BexioApiClient.Files.html#preview_file/2"},{"type":"function","title":"BexioApiClient.Files.search_files/3","doc":"Search files via query. The following search fields are supported: id uuid created_at name extension size_in_bytes mime_type user_id archived? source_id","ref":"BexioApiClient.Files.html#search_files/3"},{"type":"type","title":"BexioApiClient.Files.api_error_type/0","doc":"","ref":"BexioApiClient.Files.html#t:api_error_type/0"},{"type":"module","title":"BexioApiClient.Files.File","doc":"Bexio File Module.","ref":"BexioApiClient.Files.File.html"},{"type":"type","title":"BexioApiClient.Files.File.t/0","doc":"Bexio File","ref":"BexioApiClient.Files.File.html#t:t/0"},{"type":"module","title":"BexioApiClient.Global.Paging","doc":"Paging part of the response","ref":"BexioApiClient.Global.Paging.html"},{"type":"type","title":"BexioApiClient.Global.Paging.t/0","doc":"","ref":"BexioApiClient.Global.Paging.html#t:t/0"},{"type":"module","title":"BexioApiClient.GlobalArguments","doc":"Typespec and helpers for global usable arguments","ref":"BexioApiClient.GlobalArguments.html"},{"type":"function","title":"BexioApiClient.GlobalArguments.opts_to_query/1","doc":"","ref":"BexioApiClient.GlobalArguments.html#opts_to_query/1"},{"type":"type","title":"BexioApiClient.GlobalArguments.offset_arg/0","doc":"","ref":"BexioApiClient.GlobalArguments.html#t:offset_arg/0"},{"type":"type","title":"BexioApiClient.GlobalArguments.offset_without_order_by_arg/0","doc":"","ref":"BexioApiClient.GlobalArguments.html#t:offset_without_order_by_arg/0"},{"type":"type","title":"BexioApiClient.GlobalArguments.paging_arg/0","doc":"","ref":"BexioApiClient.GlobalArguments.html#t:paging_arg/0"},{"type":"module","title":"BexioApiClient.Items","doc":"Bexio API for the items &amp; products part of the API","ref":"BexioApiClient.Items.html"},{"type":"function","title":"BexioApiClient.Items.create_item/2","doc":"Create an item.","ref":"BexioApiClient.Items.html#create_item/2"},{"type":"function","title":"BexioApiClient.Items.delete_item/2","doc":"Delete an order.","ref":"BexioApiClient.Items.html#delete_item/2"},{"type":"function","title":"BexioApiClient.Items.edit_item/2","doc":"Edit an item.","ref":"BexioApiClient.Items.html#edit_item/2"},{"type":"function","title":"BexioApiClient.Items.fetch_item/2","doc":"Fetch single item.","ref":"BexioApiClient.Items.html#fetch_item/2"},{"type":"function","title":"BexioApiClient.Items.fetch_items/2","doc":"Fetch a list of items.","ref":"BexioApiClient.Items.html#fetch_items/2"},{"type":"function","title":"BexioApiClient.Items.fetch_stock_areas/2","doc":"Fetch a list of stock areas.","ref":"BexioApiClient.Items.html#fetch_stock_areas/2"},{"type":"function","title":"BexioApiClient.Items.fetch_stock_locations/2","doc":"Fetch a list of stock locations.","ref":"BexioApiClient.Items.html#fetch_stock_locations/2"},{"type":"function","title":"BexioApiClient.Items.search_items/3","doc":"Search items via query. The following search fields are supported: intern_name intern_code","ref":"BexioApiClient.Items.html#search_items/3"},{"type":"function","title":"BexioApiClient.Items.search_stock_areas/3","doc":"Search sock areas via query. The following search fields are supported: name stock_id","ref":"BexioApiClient.Items.html#search_stock_areas/3"},{"type":"function","title":"BexioApiClient.Items.search_stock_locations/3","doc":"Search sock locations via query. The following search fields are supported: name","ref":"BexioApiClient.Items.html#search_stock_locations/3"},{"type":"type","title":"BexioApiClient.Items.api_error_type/0","doc":"","ref":"BexioApiClient.Items.html#t:api_error_type/0"},{"type":"module","title":"BexioApiClient.Items.Item","doc":"Bexio Items Module.","ref":"BexioApiClient.Items.Item.html"},{"type":"function","title":"BexioApiClient.Items.Item.new/1","doc":"Create a new article","ref":"BexioApiClient.Items.Item.html#new/1"},{"type":"type","title":"BexioApiClient.Items.Item.t/0","doc":"Bexio Item Fields: :id - automatic id given by bexio :article_type - either :physical or :service stock_nr - please note that the stock number can only be set if no bookings for this product have been made","ref":"BexioApiClient.Items.Item.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others","doc":"Bexio API for the other endpoints.","ref":"BexioApiClient.Others.html"},{"type":"function","title":"BexioApiClient.Others.create_fictional_user/2","doc":"Create a fictional user, the id of the fictional user will be ignored!","ref":"BexioApiClient.Others.html#create_fictional_user/2"},{"type":"function","title":"BexioApiClient.Others.create_note/2","doc":"Create a note.","ref":"BexioApiClient.Others.html#create_note/2"},{"type":"function","title":"BexioApiClient.Others.create_task/2","doc":"Create a task.","ref":"BexioApiClient.Others.html#create_task/2"},{"type":"function","title":"BexioApiClient.Others.create_unit/2","doc":"Create a unit.","ref":"BexioApiClient.Others.html#create_unit/2"},{"type":"function","title":"BexioApiClient.Others.delete_fictional_user/2","doc":"Create a fictional user","ref":"BexioApiClient.Others.html#delete_fictional_user/2"},{"type":"function","title":"BexioApiClient.Others.delete_note/2","doc":"Delete a note.","ref":"BexioApiClient.Others.html#delete_note/2"},{"type":"function","title":"BexioApiClient.Others.delete_task/2","doc":"Delete a task.","ref":"BexioApiClient.Others.html#delete_task/2"},{"type":"function","title":"BexioApiClient.Others.delete_unit/2","doc":"Delete a unit.","ref":"BexioApiClient.Others.html#delete_unit/2"},{"type":"function","title":"BexioApiClient.Others.edit_note/2","doc":"Edit a note.","ref":"BexioApiClient.Others.html#edit_note/2"},{"type":"function","title":"BexioApiClient.Others.edit_task/2","doc":"Edut a task.","ref":"BexioApiClient.Others.html#edit_task/2"},{"type":"function","title":"BexioApiClient.Others.edit_unit/3","doc":"Edit a unit.","ref":"BexioApiClient.Others.html#edit_unit/3"},{"type":"function","title":"BexioApiClient.Others.enabled/1","doc":"","ref":"BexioApiClient.Others.html#enabled/1"},{"type":"function","title":"BexioApiClient.Others.fetch_company_profile/2","doc":"Fetch a single company profile","ref":"BexioApiClient.Others.html#fetch_company_profile/2"},{"type":"function","title":"BexioApiClient.Others.fetch_company_profiles/1","doc":"Fetch a list of company profiles.","ref":"BexioApiClient.Others.html#fetch_company_profiles/1"},{"type":"function","title":"BexioApiClient.Others.fetch_countries/1","doc":"Fetch a list of countries.","ref":"BexioApiClient.Others.html#fetch_countries/1"},{"type":"function","title":"BexioApiClient.Others.fetch_country/2","doc":"Fetch a single country","ref":"BexioApiClient.Others.html#fetch_country/2"},{"type":"function","title":"BexioApiClient.Others.fetch_fictional_user/2","doc":"Fetch a fictional user.","ref":"BexioApiClient.Others.html#fetch_fictional_user/2"},{"type":"function","title":"BexioApiClient.Others.fetch_fictional_users/1","doc":"Fetch a list of fictional users.","ref":"BexioApiClient.Others.html#fetch_fictional_users/1"},{"type":"function","title":"BexioApiClient.Others.fetch_languages/1","doc":"Fetch a list of languages.","ref":"BexioApiClient.Others.html#fetch_languages/1"},{"type":"function","title":"BexioApiClient.Others.fetch_note/2","doc":"Fetch a note.","ref":"BexioApiClient.Others.html#fetch_note/2"},{"type":"function","title":"BexioApiClient.Others.fetch_notes/2","doc":"Fetch a list of notes.","ref":"BexioApiClient.Others.html#fetch_notes/2"},{"type":"function","title":"BexioApiClient.Others.fetch_payment_types/2","doc":"Fetch a list of payment types.","ref":"BexioApiClient.Others.html#fetch_payment_types/2"},{"type":"function","title":"BexioApiClient.Others.fetch_task/2","doc":"Fetch a task.","ref":"BexioApiClient.Others.html#fetch_task/2"},{"type":"function","title":"BexioApiClient.Others.fetch_task_priorities/2","doc":"Fetch a list of task priorities.","ref":"BexioApiClient.Others.html#fetch_task_priorities/2"},{"type":"function","title":"BexioApiClient.Others.fetch_task_status/2","doc":"Fetch a list of task status.","ref":"BexioApiClient.Others.html#fetch_task_status/2"},{"type":"function","title":"BexioApiClient.Others.fetch_tasks/2","doc":"Fetch a list of tasks.","ref":"BexioApiClient.Others.html#fetch_tasks/2"},{"type":"function","title":"BexioApiClient.Others.fetch_unit/2","doc":"Fetch a unit.","ref":"BexioApiClient.Others.html#fetch_unit/2"},{"type":"function","title":"BexioApiClient.Others.fetch_units/2","doc":"Fetch a list of units.","ref":"BexioApiClient.Others.html#fetch_units/2"},{"type":"function","title":"BexioApiClient.Others.fetch_user/2","doc":"Fetch a single user.","ref":"BexioApiClient.Others.html#fetch_user/2"},{"type":"function","title":"BexioApiClient.Others.fetch_users/1","doc":"Fetch a list of users.","ref":"BexioApiClient.Others.html#fetch_users/1"},{"type":"function","title":"BexioApiClient.Others.get_access_information/1","doc":"Get access information of logged in user","ref":"BexioApiClient.Others.html#get_access_information/1"},{"type":"function","title":"BexioApiClient.Others.restriction/1","doc":"","ref":"BexioApiClient.Others.html#restriction/1"},{"type":"function","title":"BexioApiClient.Others.search_countries/3","doc":"Search countries via query. The following search fields are supported: name name_short","ref":"BexioApiClient.Others.html#search_countries/3"},{"type":"function","title":"BexioApiClient.Others.search_languages/3","doc":"Search languages via query. The following search fields are supported: name iso_639_1","ref":"BexioApiClient.Others.html#search_languages/3"},{"type":"function","title":"BexioApiClient.Others.search_notes/3","doc":"Search a note Following fields are supported: event_start contact_id user_id subject module_id entry_id","ref":"BexioApiClient.Others.html#search_notes/3"},{"type":"function","title":"BexioApiClient.Others.search_payment_types/3","doc":"Search a payment type Following fields are supported: name","ref":"BexioApiClient.Others.html#search_payment_types/3"},{"type":"function","title":"BexioApiClient.Others.search_tasks/3","doc":"Search a task Following fields are supported: subject updated_at user_id contact_id todo_status_id module_id entry_id","ref":"BexioApiClient.Others.html#search_tasks/3"},{"type":"function","title":"BexioApiClient.Others.search_units/3","doc":"Search a unit Following fields are supported: name","ref":"BexioApiClient.Others.html#search_units/3"},{"type":"function","title":"BexioApiClient.Others.update_fictional_user/2","doc":"Create a fictional user","ref":"BexioApiClient.Others.html#update_fictional_user/2"},{"type":"type","title":"BexioApiClient.Others.api_error_type/0","doc":"","ref":"BexioApiClient.Others.html#t:api_error_type/0"},{"type":"module","title":"BexioApiClient.Others.CompanyProfile","doc":"Bexio Company Profile Module.","ref":"BexioApiClient.Others.CompanyProfile.html"},{"type":"type","title":"BexioApiClient.Others.CompanyProfile.t/0","doc":"Bexio Company Profile.","ref":"BexioApiClient.Others.CompanyProfile.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.Country","doc":"Bexio Country Module.","ref":"BexioApiClient.Others.Country.html"},{"type":"type","title":"BexioApiClient.Others.Country.t/0","doc":"Bexio Country.","ref":"BexioApiClient.Others.Country.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.FictionalUser","doc":"Bexio Fictional User Module.","ref":"BexioApiClient.Others.FictionalUser.html"},{"type":"type","title":"BexioApiClient.Others.FictionalUser.t/0","doc":"Bexio Fictional User.","ref":"BexioApiClient.Others.FictionalUser.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.Language","doc":"Bexio Language Module.","ref":"BexioApiClient.Others.Language.html"},{"type":"type","title":"BexioApiClient.Others.Language.t/0","doc":"Bexio Language.","ref":"BexioApiClient.Others.Language.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.Note","doc":"Bexio Note Module.","ref":"BexioApiClient.Others.Note.html"},{"type":"type","title":"BexioApiClient.Others.Note.t/0","doc":"Bexio Note.","ref":"BexioApiClient.Others.Note.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.Permission","doc":"Bexio Permission Module.","ref":"BexioApiClient.Others.Permission.html"},{"type":"type","title":"BexioApiClient.Others.Permission.t/0","doc":"Bexio Permission.","ref":"BexioApiClient.Others.Permission.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.Todo","doc":"Bexio Task Module, renamed to Todo in Elixir.","ref":"BexioApiClient.Others.Todo.html"},{"type":"type","title":"BexioApiClient.Others.Todo.t/0","doc":"Bexio Task.","ref":"BexioApiClient.Others.Todo.html#t:t/0"},{"type":"module","title":"BexioApiClient.Others.User","doc":"Bexio User Module.","ref":"BexioApiClient.Others.User.html"},{"type":"type","title":"BexioApiClient.Others.User.t/0","doc":"Bexio User.","ref":"BexioApiClient.Others.User.html#t:t/0"},{"type":"module","title":"BexioApiClient.Purchase","doc":"Purchase Part of the API","ref":"BexioApiClient.Purchase.html"},{"type":"function","title":"BexioApiClient.Purchase.fetch_bills/5","doc":"Endpoint for retrieving Bills Arguments: :client - client to execute the HTTP request with :limit - limit the number of results (default: 500, max: 2000) :page - current page :order - sorting order, example order=asc&amp;order=desc :sort - field to sort by, example sort=document_no :search_term - term for which application will look for (minimum 3 signs, maximum 255 signs), example search_term=term :fields - Items enum, fields for which search will be run (if no fields specified then searching will be done for all allowed fields) :status - filter for Bill 'status' (DRAFTS: [DRAFT], TODO: [BOOKED, PARTIALLY_CREATED, CREATED, PARTIALLY_SENT, SENT, PARTIALLY_DOWNLOADED, DOWNLOADED, PARTIALLY_PAID, PARTIALLY_FAILED, FAILED], PAID: [PAID], OVERDUE: [BOOKED, PARTIALLY_CREATED, CREATED, PARTIALLY_SENT, SENT, PARTIALLY_DOWNLOADED, DOWNLOADED, PARTIALLY_PAID, PARTIALLY_FAILED, FAILED]) and for 'onlyOverdue' (DRAFTS: [FALSE], TODOS: [FALSE], PAID: [FALSE], OVERDUE: [TRUE]). Choosing OVERDUE means that only Bills with 'due_date' before now will be shown","ref":"BexioApiClient.Purchase.html#fetch_bills/5"},{"type":"type","title":"BexioApiClient.Purchase.api_error_type/0","doc":"","ref":"BexioApiClient.Purchase.html#t:api_error_type/0"},{"type":"type","title":"BexioApiClient.Purchase.bill_search_args/0","doc":"","ref":"BexioApiClient.Purchase.html#t:bill_search_args/0"},{"type":"module","title":"BexioApiClient.Purchase.Bill","doc":"Bill in purchase","ref":"BexioApiClient.Purchase.Bill.html"},{"type":"function","title":"BexioApiClient.Purchase.Bill.new/1","doc":"","ref":"BexioApiClient.Purchase.Bill.html#new/1"},{"type":"type","title":"BexioApiClient.Purchase.Bill.t/0","doc":"Bill in purchase. Fields: :vendor - Joined firstname_suffix and lastname_company based on supplier (contact) type (COMPANY or PRIVATE) :net - Net value of the bill. calculated based on line_items and discounts. :gross - Gross value of the bill. calculated based on line_items and discounts. :overdue - Indicates whether bill due_date has passed. for bill in status :draft or :paid is always false","ref":"BexioApiClient.Purchase.Bill.html#t:t/0"},{"type":"module","title":"BexioApiClient.Req.AccessTokenRefresher","doc":"Plugin to fetch a new access token for the given refresh token.","ref":"BexioApiClient.Req.AccessTokenRefresher.html"},{"type":"function","title":"BexioApiClient.Req.AccessTokenRefresher.attach/2","doc":"","ref":"BexioApiClient.Req.AccessTokenRefresher.html#attach/2"},{"type":"function","title":"BexioApiClient.Req.AccessTokenRefresher.create_ets_table/0","doc":"","ref":"BexioApiClient.Req.AccessTokenRefresher.html#create_ets_table/0"},{"type":"function","title":"BexioApiClient.Req.AccessTokenRefresher.remove_expired_tokens/0","doc":"Remove all expired access tokens from the ETS table. Triggering this is part of the job of the caller process for now.","ref":"BexioApiClient.Req.AccessTokenRefresher.html#remove_expired_tokens/0"},{"type":"module","title":"BexioApiClient.Req.RewriteDelay","doc":"This module just handles the normal Bexio API rate limit headers as well as the (observed) regular exceptions to retry. With status code 429 we try to read the header &quot;ratelimit-reset&quot; and send back the {:delay, delay} tuple. In case of 408, 500, 502, 503, 504 we fall back to the retry mechanism.","ref":"BexioApiClient.Req.RewriteDelay.html"},{"type":"function","title":"BexioApiClient.Req.RewriteDelay.retry/2","doc":"","ref":"BexioApiClient.Req.RewriteDelay.html#retry/2"},{"type":"module","title":"BexioApiClient.SalesOrderManagement","doc":"Bexio API for the sales order management part of the API.","ref":"BexioApiClient.SalesOrderManagement.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.accept_quote/2","doc":"Accept a quote.","ref":"BexioApiClient.SalesOrderManagement.html#accept_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_comment/4","doc":"Create a comment","ref":"BexioApiClient.SalesOrderManagement.html#create_comment/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_default_position/4","doc":"Create a default position","ref":"BexioApiClient.SalesOrderManagement.html#create_default_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_discount_position/4","doc":"Create a discount position","ref":"BexioApiClient.SalesOrderManagement.html#create_discount_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_invoice/2","doc":"Create an invoice (id in order will be ignored). Be also aware: whether you need or must not send a document number depends on the settings in Bexio. It cannot be controlled by the API and as such will just send if it exists.","ref":"BexioApiClient.SalesOrderManagement.html#create_invoice/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_item_position/4","doc":"Create an item position","ref":"BexioApiClient.SalesOrderManagement.html#create_item_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_order/2","doc":"Create an order (id in order will be ignored). Be also aware: whether you need or must not send a document number depends on the settings in Bexio. It cannot be controlled by the API and as such will just send if it exists.","ref":"BexioApiClient.SalesOrderManagement.html#create_order/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_pagebreak_position/3","doc":"Create a pagebreak position","ref":"BexioApiClient.SalesOrderManagement.html#create_pagebreak_position/3"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_quote/2","doc":"Create a quote (id in order will be ignored). Be also aware: whether you need or must not send a document number depends on the settings in Bexio. It cannot be controlled by the API and as such will just send if it exists.","ref":"BexioApiClient.SalesOrderManagement.html#create_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_subposition_position/5","doc":"Create a subposition position","ref":"BexioApiClient.SalesOrderManagement.html#create_subposition_position/5"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_subtotal_position/4","doc":"Create a subtotal position.","ref":"BexioApiClient.SalesOrderManagement.html#create_subtotal_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.create_text_position/5","doc":"Create a text position","ref":"BexioApiClient.SalesOrderManagement.html#create_text_position/5"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.decline_quote/2","doc":"Decline a quote.","ref":"BexioApiClient.SalesOrderManagement.html#decline_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_default_position/4","doc":"Delete a default position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_default_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_discount_position/4","doc":"Delete a discount position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_discount_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_invoice/2","doc":"Delete an invoice.","ref":"BexioApiClient.SalesOrderManagement.html#delete_invoice/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_item_position/4","doc":"Delete a default position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_item_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_order/2","doc":"Delete an order.","ref":"BexioApiClient.SalesOrderManagement.html#delete_order/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_pagebreak_position/4","doc":"Delete a pagebreak position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_pagebreak_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_quote/2","doc":"Delete a quote.","ref":"BexioApiClient.SalesOrderManagement.html#delete_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_subposition_position/4","doc":"Delete a subposition position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_subposition_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_subtotal_position/4","doc":"Delete a subtotal position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_subtotal_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.delete_text_position/4","doc":"Delete a text position.","ref":"BexioApiClient.SalesOrderManagement.html#delete_text_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_default_position/4","doc":"Edit a default position.","ref":"BexioApiClient.SalesOrderManagement.html#edit_default_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_discount_position/4","doc":"Edit a discount position.","ref":"BexioApiClient.SalesOrderManagement.html#edit_discount_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_invoice/2","doc":"Edit an invoice.","ref":"BexioApiClient.SalesOrderManagement.html#edit_invoice/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_item_position/4","doc":"Edit an item.","ref":"BexioApiClient.SalesOrderManagement.html#edit_item_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_order/2","doc":"Edit an order.","ref":"BexioApiClient.SalesOrderManagement.html#edit_order/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_pagebreak_position/5","doc":"Edit a pagebreak position.","ref":"BexioApiClient.SalesOrderManagement.html#edit_pagebreak_position/5"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_quote/2","doc":"Edit a quote.","ref":"BexioApiClient.SalesOrderManagement.html#edit_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_subposition_position/6","doc":"Edit a subposition position.","ref":"BexioApiClient.SalesOrderManagement.html#edit_subposition_position/6"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_subtotal_position/5","doc":"Edit a subtotal position.","ref":"BexioApiClient.SalesOrderManagement.html#edit_subtotal_position/5"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.edit_text_position/6","doc":"Edit a text position.","ref":"BexioApiClient.SalesOrderManagement.html#edit_text_position/6"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_comment/4","doc":"This action fetches a single comment.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_comment/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_comments/4","doc":"This action fetches a list of comments.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_comments/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_default_position/4","doc":"This action fetches a single default position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_default_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_default_positions/4","doc":"This action fetches a list of all default positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_default_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_deliveries/2","doc":"This action fetches a list of all deliveries.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_deliveries/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_delivery/2","doc":"This action fetches a single delivery","ref":"BexioApiClient.SalesOrderManagement.html#fetch_delivery/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_discount_position/4","doc":"This action fetches a single discount position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_discount_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_discount_positions/4","doc":"This action fetches a list of all discount positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_discount_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_document_settings/2","doc":"Fetch a list of document settings","ref":"BexioApiClient.SalesOrderManagement.html#fetch_document_settings/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_invoice/2","doc":"This action fetches a single invoice","ref":"BexioApiClient.SalesOrderManagement.html#fetch_invoice/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_invoices/2","doc":"This action fetches a list of all invoices.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_invoices/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_item_position/4","doc":"This action fetches a single item position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_item_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_item_positions/4","doc":"This action fetches a list of all item positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_item_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_order/2","doc":"This action fetches a single order","ref":"BexioApiClient.SalesOrderManagement.html#fetch_order/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_orders/2","doc":"This action fetches a list of all orders.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_orders/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_pagebreak_position/4","doc":"This action fetches a single pagebreak position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_pagebreak_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_pagebreak_positions/4","doc":"This action fetches a list of all pagebreak positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_pagebreak_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_quote/2","doc":"This action fetches a single quote","ref":"BexioApiClient.SalesOrderManagement.html#fetch_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_quotes/2","doc":"This action fetches a list of all quotes.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_quotes/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_subposition_position/4","doc":"This action fetches a single subposition position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subposition_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_subposition_positions/4","doc":"This action fetches a list of all subposition positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subposition_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_subtotal_position/4","doc":"This action fetches a single subtotal position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subtotal_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_subtotal_positions/4","doc":"This action fetches a list of all subtotal positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subtotal_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_text_position/4","doc":"This action fetches a single text position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_text_position/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.fetch_text_positions/4","doc":"This action fetches a list of all text positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_text_positions/4"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.invoice_pdf/2","doc":"This action returns a pdf document of the quote","ref":"BexioApiClient.SalesOrderManagement.html#invoice_pdf/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.issue_delivery/2","doc":"Issues a delivery (only possible if it's in draft status!). The result whether the issue was successful or not","ref":"BexioApiClient.SalesOrderManagement.html#issue_delivery/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.issue_invoice/2","doc":"Issue an invoice.","ref":"BexioApiClient.SalesOrderManagement.html#issue_invoice/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.issue_quote/2","doc":"Issue a quote.","ref":"BexioApiClient.SalesOrderManagement.html#issue_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.mark_quote_as_sent/2","doc":"Mark a quote as sent.","ref":"BexioApiClient.SalesOrderManagement.html#mark_quote_as_sent/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.order_pdf/2","doc":"This action returns a pdf document of the order","ref":"BexioApiClient.SalesOrderManagement.html#order_pdf/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.quote_pdf/2","doc":"This action returns a pdf document of the quote","ref":"BexioApiClient.SalesOrderManagement.html#quote_pdf/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.reissue_quote/2","doc":"Reissue a quote.","ref":"BexioApiClient.SalesOrderManagement.html#reissue_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.revert_issue_invoice/2","doc":"Revert Issue an invoice.","ref":"BexioApiClient.SalesOrderManagement.html#revert_issue_invoice/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.revert_issue_quote/2","doc":"Revert Issue a quote.","ref":"BexioApiClient.SalesOrderManagement.html#revert_issue_quote/2"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.search_invoices/3","doc":"Search invoices via query. The following search fields are supported: id kb_item_status document_nr title contact_id contact_sub_id user_id currency_id total_gross total_net total is_valid_from is_valid_to updated_at","ref":"BexioApiClient.SalesOrderManagement.html#search_invoices/3"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.search_orders/3","doc":"Search orders via query. The following search fields are supported: id kb_item_status document_nr title contact_id contact_sub_id user_id currency_id total_gross total_net total is_valid_from updated_at","ref":"BexioApiClient.SalesOrderManagement.html#search_orders/3"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.search_quotes/3","doc":"Search quotes via query. The following search fields are supported: id kb_item_status document_nr title contact_id contact_sub_id user_id currency_id total_gross total_net total is_valid_from is_valid_until is_valid_to (?) updated_at","ref":"BexioApiClient.SalesOrderManagement.html#search_quotes/3"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.api_error_type/0","doc":"","ref":"BexioApiClient.SalesOrderManagement.html#t:api_error_type/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.Comment","doc":"Comment","ref":"BexioApiClient.SalesOrderManagement.Comment.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.Comment.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.Comment.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.Comment.t/0","doc":"Comment Fields: :id - automatic id given by bexio :text - text :user_id - references a user object :user_email - email :user_name - user name :date - date and time of the comment :public? - if the comment is public viewable :image - base64 encoded image file content :image_path - path of the image","ref":"BexioApiClient.SalesOrderManagement.Comment.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.Delivery","doc":"Delivery","ref":"BexioApiClient.SalesOrderManagement.Delivery.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.Delivery.new/1","doc":"Create a new order","ref":"BexioApiClient.SalesOrderManagement.Delivery.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.Delivery.t/0","doc":"Delivery Fields: :contact_id - references a contact object :contact_sub_id - references a contact object :user_id - references a user object :language_id - references a language object :bank_account_id - references a bank account object :currency_id - references a currency object :payment_type_id - references a payment type object :mwst_is_net? - this value affects the total if the field mwst_type has been set to :include . false - taxes are included in the total, true - taxes will be added to total :kb_item_status is converted from kb_item_status_id rest field :api_reference - this field can only be read and edited by the api. it can be used to save references to other systems :template_slug - references a document template slug :taxs - map of percentage as key and absolute values as value :network_link - the network link of the order","ref":"BexioApiClient.SalesOrderManagement.Delivery.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.DocumentSetting","doc":"Comment","ref":"BexioApiClient.SalesOrderManagement.DocumentSetting.html"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.DocumentSetting.t/0","doc":"Different Document Settings","ref":"BexioApiClient.SalesOrderManagement.DocumentSetting.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.Invoice","doc":"Quote","ref":"BexioApiClient.SalesOrderManagement.Invoice.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.Invoice.new/1","doc":"Create a new quote","ref":"BexioApiClient.SalesOrderManagement.Invoice.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.Invoice.t/0","doc":"Quote Fields: :contact_id - references a contact object :contact_sub_id - references a contact object :user_id - references a user object :project_id - references a project object :language_id - references a language object :bank_account_id - references a bank account object :currency_id - references a currency object :payment_type_id - references a payment type object :mwst_is_net? - this value affects the total if the field mwst_type has been set to :include . false - taxes are included in the total, true - taxes will be added to total :kb_item_status is converted from kb_item_status_id rest field :api_reference - this field can only be read and edited by the api. it can be used to save references to other systems :template_slug - references a document template slug :taxs - map of percentage as key and absolute values as value :network_link - the network link of the quote","ref":"BexioApiClient.SalesOrderManagement.Invoice.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.Order","doc":"Order","ref":"BexioApiClient.SalesOrderManagement.Order.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.Order.new/1","doc":"Create a new order","ref":"BexioApiClient.SalesOrderManagement.Order.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.Order.t/0","doc":"Order Fields: :contact_id - references a contact object :contact_sub_id - references a contact object :user_id - references a user object :project_id - references a project object :language_id - references a language object :bank_account_id - references a bank account object :currency_id - references a currency object :payment_type_id - references a payment type object :mwst_is_net? - this value affects the total if the field mwst_type has been set to :include . false - taxes are included in the total, true - taxes will be added to total :kb_item_status is converted from kb_item_status_id rest field :api_reference - this field can only be read and edited by the api. it can be used to save references to other systems :template_slug - references a document template slug :taxs - map of percentage as key and absolute values as value :network_link - the network link of the order","ref":"BexioApiClient.SalesOrderManagement.Order.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionDefault","doc":"Default Position (KbPositionCustom)","ref":"BexioApiClient.SalesOrderManagement.PositionDefault.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionDefault.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionDefault.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionDefault.t/0","doc":"Default Position Fields: :id - automatic id given by bexio :text - text :amount - amount :account_id - References an account object :unit_id - References a unit object :unit_name - Unit Name :unit_price - Unit Price :discount_in_percent - Discount in Percentage :position_total - Position Total :tax_id - References a tax object (only active sales taxes can be used) :tax_value - Tax Value :pos - Position :optional? - is the position optional? :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionDefault.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionDiscount","doc":"Discount Position (KbPositionDiscount)","ref":"BexioApiClient.SalesOrderManagement.PositionDiscount.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionDiscount.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionDiscount.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionDiscount.t/0","doc":"Discount Position Fields: :id - automatic id given by bexio :text - text :value - discount value :discount_total - discount total :percentual? - whether the discount is an amount or a percentage of the total amount","ref":"BexioApiClient.SalesOrderManagement.PositionDiscount.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionItem","doc":"Item Position (KbPositionCustom)","ref":"BexioApiClient.SalesOrderManagement.PositionItem.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionItem.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionItem.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionItem.t/0","doc":"Default Position Fields: :id - automatic id given by bexio :article_id - references an item object :text - text :amount - amount :account_id - References an account object :unit_id - References a unit object :unit_name - Unit Name :unit_price - Unit Price :discount_in_percent - Discount in Percentage :position_total - Position Total :tax_id - References a tax object (only active sales taxes can be used) :tax_value - Tax Value :pos - Position :optional? - is the position optional? :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionItem.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionPagebreak","doc":"Pagebreak Position (KbPositionPagebreak)","ref":"BexioApiClient.SalesOrderManagement.PositionPagebreak.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionPagebreak.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionPagebreak.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionPagebreak.t/0","doc":"Pagebreak Position Fields: :id - automatic id given by bexio :internal_pos - internal position :optional? - if pagebreak is optional :parent_id - parent id","ref":"BexioApiClient.SalesOrderManagement.PositionPagebreak.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionSubposition","doc":"Subposition Position (KbPositionSubposition)","ref":"BexioApiClient.SalesOrderManagement.PositionSubposition.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionSubposition.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionSubposition.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionSubposition.t/0","doc":"Subposition Position Fields: :id - automatic id given by bexio :text - text :pos - position :internal_pos - internal position :show_pos_nr``? - whether to show the position numbers * :optional? - is the position optional * :parent_id` - possible parent element","ref":"BexioApiClient.SalesOrderManagement.PositionSubposition.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionSubtotal","doc":"Subtotal Position (KbPositionSubtotal)","ref":"BexioApiClient.SalesOrderManagement.PositionSubtotal.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionSubtotal.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionSubtotal.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionSubtotal.t/0","doc":"Subtotal Position Fields: :id - automatic id given by bexio :text - text for the subtotal :value - Decimal representation of the value :optional? - is the position optional? :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionSubtotal.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.PositionText","doc":"Text Position (KbPositionText)","ref":"BexioApiClient.SalesOrderManagement.PositionText.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.PositionText.new/1","doc":"Create a new record.","ref":"BexioApiClient.SalesOrderManagement.PositionText.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.PositionText.t/0","doc":"Text Position Fields: :id - automatic id given by bexio :show_pos_nr? - show position number :pos - position :optional? - is the position optional? :text - text for the subtotal :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionText.html#t:t/0"},{"type":"module","title":"BexioApiClient.SalesOrderManagement.Quote","doc":"Quote","ref":"BexioApiClient.SalesOrderManagement.Quote.html"},{"type":"function","title":"BexioApiClient.SalesOrderManagement.Quote.new/1","doc":"Create a new quote","ref":"BexioApiClient.SalesOrderManagement.Quote.html#new/1"},{"type":"type","title":"BexioApiClient.SalesOrderManagement.Quote.t/0","doc":"Quote Fields: :contact_id - references a contact object :contact_sub_id - references a contact object :user_id - references a user object :project_id - references a project object :language_id - references a language object :bank_account_id - references a bank account object :currency_id - references a currency object :payment_type_id - references a payment type object :mwst_is_net? - this value affects the total if the field mwst_type has been set to :include . false - taxes are included in the total, true - taxes will be added to total :kb_item_status is converted from kb_item_status_id rest field :api_reference - this field can only be read and edited by the api. it can be used to save references to other systems :template_slug - references a document template slug :taxs - map of percentage as key and absolute values as value :network_link - the network link of the quote","ref":"BexioApiClient.SalesOrderManagement.Quote.html#t:t/0"},{"type":"module","title":"BexioApiClient.SearchCriteria","doc":"Some older endpoints implement search methods. Searching for these endpoint works by sending a POST request to the resource (e.g.: POST /contact/search or POST /country/search). The search parameters must be provided in the body of the POST request.","ref":"BexioApiClient.SearchCriteria.html"},{"type":"function","title":"BexioApiClient.SearchCriteria.equal/2","doc":"Creates a = search criteria","ref":"BexioApiClient.SearchCriteria.html#equal/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.greater_equal/2","doc":"Creates a &gt;= search criteria","ref":"BexioApiClient.SearchCriteria.html#greater_equal/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.greater_than/2","doc":"Creates a &gt; search criteria","ref":"BexioApiClient.SearchCriteria.html#greater_than/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.less_equal/2","doc":"Creates a &lt;= search criteria","ref":"BexioApiClient.SearchCriteria.html#less_equal/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.less_than/2","doc":"Creates a &lt; search criteria","ref":"BexioApiClient.SearchCriteria.html#less_than/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.like/2","doc":"Creates a like search criteria","ref":"BexioApiClient.SearchCriteria.html#like/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.nil?/1","doc":"Creates a is_null search criteria","ref":"BexioApiClient.SearchCriteria.html#nil?/1"},{"type":"function","title":"BexioApiClient.SearchCriteria.not_equal/2","doc":"Creates a != search criteria","ref":"BexioApiClient.SearchCriteria.html#not_equal/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.not_like/2","doc":"Creates a not_like search criteria","ref":"BexioApiClient.SearchCriteria.html#not_like/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.not_nil?/1","doc":"Creates a not_null search criteria","ref":"BexioApiClient.SearchCriteria.html#not_nil?/1"},{"type":"function","title":"BexioApiClient.SearchCriteria.not_part_of/2","doc":"Creates a not_in search criteria","ref":"BexioApiClient.SearchCriteria.html#not_part_of/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.part_of/2","doc":"Creates a in search criteria","ref":"BexioApiClient.SearchCriteria.html#part_of/2"},{"type":"function","title":"BexioApiClient.SearchCriteria.sigil_f/2","doc":"","ref":"BexioApiClient.SearchCriteria.html#sigil_f/2"},{"type":"type","title":"BexioApiClient.SearchCriteria.t/0","doc":"One search criteria argument Fields: :name - The name of the parameter to look up :criteria - the criteria to fulfill :value - the value to search for","ref":"BexioApiClient.SearchCriteria.html#t:t/0"}]